--The global variable of the addon
AddonSelectorGlobal = {}
local ADDON_NAME	= "AddonSelector"
AddonSelectorGlobal.name = ADDON_NAME


--Language and fallback language
local lang = GetCVar("language.2")
local fallbackLang = "en"


--The strings
AddonSelectorGlobal.langArray = {
    ---------------------------------------------------------------------------------------------------------------------
    -- Official ESO languages
    ------------------------------------------------------------------------------------------------------------------------
	["de"] = { -- by Baertram
		["packName"]			= "Pack Name:",
		["selectPack"]			= "Wählen",
    	["ERRORpackMissing"] 	= "ADDON SELECTOR: Pack Name fehlt.",
        ["autoReloadUIHint"]	= "Autom. Reload UI nach Pack Auswahl!",
        ["autoReloadUIHintTooltip"] = "Auto-Reload UI: Wenn diese Option aktiviert wurde können keine AddOn Packs geändert oder gelöscht werden. Sie müssen diese Option deaktivieren, um AddOn Packs ändern oder löschen zu können.",
        ["saveButton"]			= "Sichern",
        ["savePackTitle"]        = "Pack überschreiben?",
        ["savePackBody"]        = "Überschreibe Pack %s?",
        ["deleteButton"]		= "Löschen",
        ["deletePackAlert"]     = "ADDON SELECTOR: Du musst einen Pack zum Löschen auswählen.",
        ["deletePackError"]     = "ADDON SELECTOR: Pack Löschen Fehler\n%s.",
        ["deletePackTitle"]     = "Löschen: ",
        ["deletePackBody"]      = "Pack löschen?\n%s",
        ["DeselectAllAddons"]   = "Alle demarkieren",
        ["SelectAllAddons"]     = "Alle markieren",
        ["DeselectAllLibraries"]= "Alle Bibliotheken demarkieren",
        ["SelectAllLibraries"]   = "Alle Bibliotheken markieren",
        ["ScrollToAddons"]       = "^ AddOns       ^",
        ["ScrollToLibraries"]    = "v Bibliotheken v",
        ["SelectAllAddonsSaved"] = "Gesicherte markieren",
        ["AddonSearch"]          = "Suche:",
        ["selectedPackName"]     = "Gewählt (%s): ",
        ["LibDialogMissing"]     = "Bibliothek \'LibDialog \' fehlt! Dieses Addon wird ohne diese nicht funktionieren!",
        ["ReloadUI"]        = GetString(SI_ADDON_MANAGER_RELOAD) or "UI neu laden",
        ["ShowActivePack"]      = "Aktiven Pack zeigen",
        ["ShowSubMenuAtGlobalPacks"]            = "Zeige Untermenü am globalen Pack",
        ["ShowSettings"]        = "\'"..ADDON_NAME.."\' Einstellungen anzeigen",
        ["ShowGlobalPacks"]     = "Zeige global gespeicherte Packs",
        ["GlobalPackSettings"] = "Globale Pack Einstellungen",
        ["CharacterNameSettings"] = "Charaktername Einstellungen",
        ["SaveGroupedByCharacterName"] = "Speichere Packs je Charaktername",
        ["ShowGroupedByCharacterName"] = "Zeige Packs der Charakternamen",
        ["packCharName"]        = "Charakter des Packs",
        ["packGlobal"]          = "Global",
        ["searchExcludeFilename"] = "Dateiname nicht durchsuchen",
        ["searchSaveHistory"] = "Historie der Suchbegriffe speichern",
        ["searchClearHistory"] = "Historie leeren",
        ["UndoLastMassMarking"] = "< Markierungen rückgängig machen",
        ["ClearLastMassMarking"] = "Markierungs Backup löschen",
        ["LastPackLoaded"] = "Zuletzt geladen:",
        ["addonCategories"] = "Addon Kategorien",
        ["noCategory"]      = "-Keine Kategorie-",
        ["ToggleAddonState"] = "AddOn: An/Aus",
        ["searchInstructions"] = "Der Cursor befindet sich im Suchfeld. Gib den Suchtext ein und drücke die ENTER Taste, um zur nächsten Fundstelle zu springen. Drücke die ESCAPE Taste, um das Suchfeld zu verlassen.",
        ["foundSearch"]         = "[Gefunden]",
        ["foundSearchLast"]     = "[Letzter Eintrag gefunden]",
        ["searchedForStr"]      = "["..GetString(SI_SCREEN_NARRATION_EDIT_BOX_SEARCH_NAME).."]",
        ["currentText"]         = "Aktuell: ",
        ["enableText"]          = "Aktiviere",
        ["disableText"]         = "Deaktiviere",
        ["enDisableCurrentStateTemplate"] = "%s alle AddOns. Aktueller Status  -   %s",
        ["stateText"]           = "Status",
        ["newStateText"]        = "Neuer Status",
        ["libraryText"]         = "Bibliothek",
		["openDropdownStr"]	    = "Klicken, um die Auswahlbox zu öffnen",
        ["openedStr"]           = "Geöffnet",
        ["closedStr"]           = "Geschlossen",
        ["chosenStr"]           = "Ausgewählt",
        ["addPackTooltip"]      = "Tooltip zu Pack in Auswahlbox hinzufügen",
        ["accountWide"]         = "Account-weiter AddOn Pack",
        ["accountWides"]         = "Account-weite AddOn Packs",
        ["characterWide"]       = "Charakter spezifischer AddOn Pack",
        ["characterWides"]       = "Charakter spezifische AddOn Packs",
        ["settingPattern"]       = "[Einstellung] %s",
        ["searchHistoryPattern"] = "[Suche Historie] %s",
        ["submenu"]              = "Untermenü",
        ["entryMouseEnter"]      = "Eintrag unter der Maus",
        ["entrySelected"]        = "Eintrag wurde ausgewählt",
        ["entries"]              = "Einträge",
        ["checkBox"]             = "Ankreuzfeld",
        ["enabledAddonsInPack"]  = "Aktivierte AddOns im Pack ",
        ["showPacksAddonList"]   = "Zeige Pack's AddOn Liste als Untermenü",
        ["addonsInPack"]         = "AddOns im Pack %q",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
        ["showSearchFilterAtPacksList"] = "Zeige Suche in der Pack-Liste",
    },
---------------------------------------------------------------------------------------------------------------------
    ["en"] = { -- by Circonian & Baertram
		["packName"]			= "Pack name:",
		["selectPack"]			= "Select",
    	["ERRORpackMissing"] 	= "ADDON SELECTOR: Pack name missing.",
        ["autoReloadUIHint"]	= "Auto-Reload UI on pack selection.",
        ["autoReloadUIHintTooltip"] = "Auto-Reload UI: When ON this will prevent editing and deleting addon packs. You will need to turn it off to edit or delete packs!",
        ["saveButton"]			= "Save",
        ["savePackTitle"]        = "Overwrite pack?",
        ["savePackBody"]        = "Overwrite existing pack %s?",
        ["deleteButton"]		= "Delete",
        ["deletePackTitle"]     = "Delete: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: You must select a pack to delete.",
        ["deletePackError"]     = "ADDON SELECTOR: Pack delete error\n%s.",
        ["deletePackBody"]      = "Really delete?\n%s",
        ["DeselectAllAddons"]   = "Deselect all",
        ["SelectAllAddons"]     = "Select all",
        ["DeselectAllLibraries"]= "Deselect all libaries",
        ["SelectAllLibraries"]  = "Select all libaries",
        ["ScrollToAddons"]       = "^ AddOns    ^",
        ["ScrollToLibraries"]    = "v Libraries v",
        ["SelectAllAddonsSaved"] = "Select saved",
        ["AddonSearch"]          = "Search:",
        ["selectedPackName"]     = "Selected (%s): ",
        ["LibDialogMissing"]     = "Library \'LibDialog\' is missing! This addon will not work without it!",
        ["ReloadUI"]            = GetString(SI_ADDON_MANAGER_RELOAD) or "Reload UI",
        ["ShowActivePack"]      = "Show active pack",
        ["ShowSubMenuAtGlobalPacks"] = "Show submenu at global packs",
        ["ShowSettings"]        = "Show \'"..ADDON_NAME.."\' settings",
        ["ShowGlobalPacks"]     = "Show global saved packs",
        ["GlobalPackSettings"] = "Global pack settings",
        ["CharacterNameSettings"] = "Character name settings",
        ["SaveGroupedByCharacterName"] = "Save packs by character name",
        ["ShowGroupedByCharacterName"] = "Show packs of character names",
        ["packCharName"]        = "Character of pack",
        ["packGlobal"]          = "Global",
        ["searchExcludeFilename"] = "Exclude filename",
        ["searchSaveHistory"] = "Save history of search terms",
        ["searchClearHistory"] = "Clear history",
        ["UndoLastMassMarking"] = "< Undo last markings",
        ["ClearLastMassMarking"] = "Clear marking backup",
        ["LastPackLoaded"] = "Last loaded:",
        ["addonCategories"] = "Addon categories",
        ["noCategory"]      = "-No category-",
        ["ToggleAddonState"] = "AddOn: On/Off",
        ["searchInstructions"] = "The cursor is in the searchbox. Type to start new search, press return key to jump to next found addon. Press the ESCAPE key to leave the searchbox again.",
        ["foundSearch"]         = "[Found]",
        ["foundSearchLast"]     = "[Found last entry]",
        ["searchedForStr"]      = "["..GetString(SI_SCREEN_NARRATION_EDIT_BOX_SEARCH_NAME).."]",
        ["currentText"]         = "Current: ",
        ["enableText"]          = "Enable",
        ["disableText"]         = "Disable",
        ["enDisableCurrentStateTemplate"] = "%s all addons. Current state   -   %s",
        ["stateText"]           = "State",
        ["newStateText"]        = "New state",
        ["libraryText"]         = "Library",
		["openDropdownStr"]	    = "Click to open the dropdown box",
        ["openedStr"]           = "Opened",
        ["closedStr"]           = "Closed",
        ["chosenStr"]           = "Chosen",
        ["addPackTooltip"]      = "Add tooltip to pack in dropdown box",
        ["accountWide"]         = "Account-wide addOn pack",
        ["accountWides"]         = "Account-wide addOn packs",
        ["characterWide"]       = "Charakter specific addOn packs",
        ["characterWides"]      = "Charakter specific addOn pack",
        ["settingPattern"]       = "[Setting] %s",
        ["searchHistoryPattern"] = "[Search history] %s",
        ["submenu"]              = "Submenu",
        ["entryMouseEnter"]      = "Entry below mouse",
        ["entrySelected"]        = "Entry was selected",
        ["entries"]              = "entries",
        ["checkBox"]             = "Checkbox",
        ["enabledAddonsInPack"]  = "Enabled AddOns in pack ",
        ["showPacksAddonList"]   = "Show pack's AddOn list submenu",
        ["addonsInPack"]         = "AddOns in pack %q",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
        ["showSearchFilterAtPacksList"] = "Show search at the pack list",
    },
---------------------------------------------------------------------------------------------------------------------
    ["es"] = { -- by Kwisatz
        ["packName"]            = "Nombre del conjunto:",
        ["selectPack"]          = "Selecciona",
        ["ERRORpackMissing"]    = "ADDON SELECTOR: Falta nombre de conjunto",
        ["autoReloadUIHint"]    = "Recargar interfaz al seleccionar un conjunto.",
        ["autoReloadUIHintTooltip"] = "Recarga automática: Si está seleccionado, impide editar o suprimir conjuntos. Tiene que estar deseleccionado si quieres editar o suprimir conjuntos",
        ["saveButton"]          = "Guardar",
        ["savePackTitle"]        = "¿Sobreescribir conjunto?",
        ["savePackBody"]        = "Sobreescribir conjunto existente %s?",
        ["deleteButton"]        = "Suprimir",
        ["deletePackTitle"]     = "Suprimir: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: Tienes que seleccionar un conjunto a suprimir.",
        ["deletePackError"]     = "ADDON SELECTOR: Error de supresión del conjunto\n%s.",
        ["deletePackBody"]      = "¿Quieres realmente suprimir el conjunto?\n%s",
        ["DeselectAllAddons"]   = "Deseleccionar todo",
        ["SelectAllAddons"]     = "Seleccionar todo",
        ["SelectAllAddonsSaved"] = "Seleccionar lo guardado",
        ["AddonSearch"]          = "Buscar:",
        ["selectedPackName"]     = "Seleccionado (%s): ",
        ["LibDialogMissing"]     = "¡Falta la librería \'LibDialog\'! ¡El complemento no puede funcionar sin ella!",
        ["ReloadUI"]            = GetString(SI_ADDON_MANAGER_RELOAD) or "Recargar interfaz",
        ["ShowActivePack"]      = "Mostrar conjunto activo",
        ["ShowSubMenuAtGlobalPacks"] = "Mostrar submenus en los conjuntos globales",
        ["ShowSettings"]        = "Mostrar ajustes de \'"..ADDON_NAME.."\' ",
        ["ShowGlobalPacks"]     = "Mostrar conjuntos globales guardados",
        ["GlobalPackSettings"] = "Ajustes de conjunto global",
        ["CharacterNameSettings"] = "Ajustes del nombre de personaje",
        ["SaveGroupedByCharacterName"] = "Guardar conjuntos por nombre de personaje",
        ["ShowGroupedByCharacterName"] = "Mostrar conjuntos por nombre de personaje",
        ["packCharName"]        = "Personaje del conjunto",
        ["packGlobal"]          = "Global",
        ["searchExcludeFilename"] = "Excluir nombre de archivo",
        ["searchSaveHistory"] = "Guardar historial de búsqueda",
        ["searchClearHistory"] = "Borrar historial",
        ["LastPackLoaded"] = "Último cargado:",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
    },
---------------------------------------------------------------------------------------------------------------------
    ["fr"] = { --by Kwisatz
        ["packName"]            = "Nom du profil :",
        ["selectPack"]          = "Sélectionner",
        ["ERRORpackMissing"]    = "ADDON SELECTOR : Pas de nom de profil",
        ["autoReloadUIHint"]    = "Recharger l'interface après sélection d'un profil.",
        ["autoReloadUIHintTooltip"] = "Recharge automatique : Sélectionné, interdit l'édition ou la suppression des profils. Doit être déselectionné pour éditer ou supprimer un profil",
        ["saveButton"]          = "Enregistrer",
        ["savePackTitle"]        = "¿Remplacer le profil?",
        ["savePackBody"]        = "Remplacer le profil existant %s?",
        ["deleteButton"]        = "Supprimer",
        ["deletePackTitle"]     = "Supprimer: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: Vous devez sélectionner un profil à supprimer.",
        ["deletePackError"]     = "ADDON SELECTOR: Erreur de suppression du profil\n%s.",
        ["deletePackBody"]      = "Vous souhaitez vraiment supprimer ce profil?\n%s",
        ["DeselectAllAddons"]   = "Tout desélectionner",
        ["SelectAllAddons"]     = "Tout sélectionner",
        ["SelectAllAddonsSaved"] = "Sélectionner enregistrée",
        ["AddonSearch"]          = "Rechercher:",
        ["selectedPackName"]     = "Sélectionné (%s): ",
        ["LibDialogMissing"]     = "Librairie \'LibDialog\' manquante! L'addon ne peut pas fonctionner sans elle!",
        ["ReloadUI"]            = GetString(SI_ADDON_MANAGER_RELOAD) or "Recharger l'interface",
        ["ShowActivePack"]      = "Montrer le  profil actif",
        ["ShowSubMenuAtGlobalPacks"] = "Montrer les sous-menus des groupes de profils",
        ["ShowSettings"]        = "Montrer configuration de \'"..ADDON_NAME.."\' ",
        ["ShowGlobalPacks"]     = "Montrer les groupes de profils enregistrés",
        ["GlobalPackSettings"] = "Configuration de groupe de profil",
        ["CharacterNameSettings"] = "Configuration du nom du personnage",
        ["SaveGroupedByCharacterName"] = "Enregistrer les groupes par nom de personnage",
        ["ShowGroupedByCharacterName"] = "Montrer les groupes par nom de personnage",
        ["packCharName"]        = "Profil de personnage",
        ["packGlobal"]          = "Profil global",
        ["searchExcludeFilename"] = "Exclure nom de fichier",
        ["searchSaveHistory"] = "Enregistrer historique des recherches",
        ["searchClearHistory"] = "Effacer l'historique",
        ["LastPackLoaded"] = "Dernier chargé:",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
    },
---------------------------------------------------------------------------------------------------------------------
    ["jp"] = { -- by Calamath
        ["packName"] = "パック名:",
        ["selectPack"] = "パック選択",
        ["ERRORpackMissing"] = "ADDON SELECTOR: パック名が見つかりません",
        ["autoReloadUIHint"] = "自動UIリロード",
        ["autoReloadUIHintTooltip"] = "自動UIリロード: ONにした場合、編集や削除ができなくなります。 編集や削除をする場合はOFFにして下さい。",
        ["saveButton"] = "保存",
        ["savePackTitle"] = "上書き保存しますか？",
        ["savePackBody"] = " %s に上書き保存しますか？",
        ["deleteButton"] = "削除",
        ["deletePackAlert"]     = "ADDON SELECTOR: 削除するパックを選択する必要があります。",
        ["deletePackError"]     = "ADDON SELECTOR: パック削除エラー\n%s.",
        ["deletePackTitle"] = "削除: ",
        ["deletePackBody"] = "本当に削除しますか？\n%s",
        ["DeselectAllAddons"] = "全解除",
        ["SelectAllAddons"] = "全選択",
        ["SelectAllAddonsSaved"] = "保存したものを再選択",
        ["AddonSearch"] = "検索:",
        ["selectedPackName"] = "選択中 (%s):",
        ["LibDialogMissing"] = "ライブラリ \'LibDialog\' が見つかりません！ このアドオンはこれがないと動きません。",
        ["ReloadUI"]        = GetString(SI_ADDON_MANAGER_RELOAD) or "UIをリロード",
        ["ShowActivePack"]      = "アクティブパックを表示",
        ["ShowSubMenuAtGlobalPacks"]            = "グローバルパックでサブメニューを表示",
        ["ShowSettings"]        = "\'"..ADDON_NAME.."\' の設定を表示",
        ["ShowGlobalPacks"]     = "グローバルに保存されたパックを表示",
        ["GlobalPackSettings"] = "グローバルパックの設定",
        ["CharacterNameSettings"] = "キャラクタ名パックの設定",
        ["SaveGroupedByCharacterName"] = "キャラクタ名でパックを保存",
        ["ShowGroupedByCharacterName"] = "キャラクタ名パックを表示",
        ["packCharName"]        = "パックのキャラクタ",
        ["packGlobal"]          = "グローバル",
        ["searchExcludeFilename"] = "ファイル名を除外",
        ["searchSaveHistory"] = "検索語の履歴を保存",
        ["searchClearHistory"] = "履歴を消去する",
        ["LastPackLoaded"] = "最終ロード:",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
    },
---------------------------------------------------------------------------------------------------------------------
    ["ru"] = { --by Friday_The13_rus
        ["packName"]            = "Имя сборки:",
        ["selectPack"]          = "Выбрать",
        ["ERRORpackMissing"]    = "ADDON SELECTOR: Имя сборки не найдено.",
        ["autoReloadUIHint"]    = "Автоматически перезагружать интерфейс.",
        ["autoReloadUIHintTooltip"] = "Автоматически перезагружать интерфейс: Когда включено, делает невозможным редактирование и удаление сборок. Выключите опцию, чтобы редактировать или удалять сборки!",
        ["saveButton"]          = "Сохранить",
        ["savePackTitle"]        = "Перезаписать сборку?",
        ["savePackBody"]        = "Перезаписать существующую сборку %s?",
        ["deleteButton"]        = "Удалить",
        ["deletePackTitle"]     = "Удалить: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: Вы должны выбрать сборку для удаления.",
        ["deletePackError"]     = "ADDON SELECTOR: Ошибка при удалении сборки\n%s.",
        ["deletePackBody"]      = "Действительно удалить сборку?\n%s",
        ["DeselectAllAddons"]   = "Отключить всё",
        ["SelectAllAddons"]     = "Включить всё",
        ["SelectAllAddonsSaved"] = "Включить сохранённые",
        ["AddonSearch"]          = "Поиск:",
        ["selectedPackName"]     = "Выбрано (%s): ",
        ["LibDialogMissing"]     = "Библиотека \'LibDialog\' отсутствует! Этот аддон не будет работать без него!",
        ["ReloadUI"]        = GetString(SI_ADDON_MANAGER_RELOAD) or "Перезагрузить интерфейс",
        ["ShowActivePack"]      = "Показать активную сборку",
        ["ShowSubMenuAtGlobalPacks"]            = "Показывать вложенное меню для глобальных сборок",
        ["ShowSettings"]        = "Показать настройки \'"..ADDON_NAME.."\'",
        ["ShowGlobalPacks"]     = "Показать глобально сохраненные сборки",
        ["GlobalPackSettings"] = "Настройки глобальных сборок",
        ["CharacterNameSettings"] = "Настройки сборок для персонажа",
        ["SaveGroupedByCharacterName"] = "Сохранять сборки для персонажа",
        ["ShowGroupedByCharacterName"] = "Показывать сборки для персонажей",
        ["packCharName"]        = "Сборка для персонажа",
        ["packGlobal"]          = "Глобальная",
        ["searchExcludeFilename"] = "Исключить имя файла",
        ["searchSaveHistory"] = "Сохранять историю поиска",
        ["searchClearHistory"] = "Очистить историю",
        ["LastPackLoaded"] = "Последняя загрузка:",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
    },
---------------------------------------------------------------------------------------------------------------------
    --Chinese by Lykeion 20221206
    ["zh"] = { -- by Lykeion
        ["packName"] = "插件包名称:",
        ["selectPack"] = "选择插件包",
        ["ERRORpackMissing"] = "ADDON SELECTOR: 未找到插件包名称",
        ["autoReloadUIHint"] = "选择插件包时自动重新加载UI.",
        ["autoReloadUIHintTooltip"] = "启用该选项时你对插件包的编辑和删除将被重载中断. 如果你想编辑插件包请先关闭本功能!",
        ["saveButton"] = "保存",
        ["savePackTitle"] = "覆盖插件包?",
        ["savePackBody"] = "覆盖已存在的插件包 %s?",
        ["deleteButton"] = "删除",
        ["deletePackTitle"] = "删除: ",
        ["deletePackAlert"] = "ADDON SELECTOR: 你必须选中一个插件包以删除.",
        ["deletePackError"] = "ADDON SELECTOR: 插件包删除发生错误\n%s.",
        ["deletePackBody"] = "真的要删除吗?\n%s",
        ["DeselectAllAddons"] = "取消选择所有",
        ["SelectAllAddons"] = "选择所有",
        ["DeselectAllLibraries"]= "取消选择所有Lib",
        ["SelectAllLibraries"] = "选择所有Lib",
        ["ScrollToAddons"] = "↑向上滚动至插件↑",
        ["ScrollToLibraries"] = "↓向下滚动至运行库↓",
        ["SelectAllAddonsSaved"] = "选择已保存的",
        ["AddonSearch"] = "搜索:",
        ["selectedPackName"] = "已选择 (%s): ",
        ["LibDialogMissing"] = "运行库 \'LibDialog\' 未找到! 本插件必须使用该运行库!",
        ["ReloadUI"] = GetString(SI_ADDON_MANAGER_RELOAD) or "重新加载UI",
        ["ShowActivePack"] = "显示启用的插件包",
        ["ShowSubMenuAtGlobalPacks"] = "在账户插件包包中展示子菜单",
        ["ShowSettings"] = "显示 \'"..ADDON_NAME.."\' 设置",
        ["ShowGlobalPacks"] = "显示账户保存的插件包",
        ["GlobalPackSettings"] = "账户插件包设置",
        ["CharacterNameSettings"] = "角色名设置",
        ["SaveGroupedByCharacterName"] = "按角色名保存插件包",
        ["ShowGroupedByCharacterName"] = "展示以角色命名的插件包",
        ["packCharName"] = "角色插件包",
        ["packGlobal"] = "账户插件包",
        ["searchExcludeFilename"] = "不包含文件名",
        ["searchSaveHistory"] = "保存搜索关键词历史",
        ["searchClearHistory"] = "清除历史",
        ["UndoLastMassMarking"] = "< 重做上次的标记",
        ["ClearLastMassMarking"] = "清除标记备份文件",
        ["LastPackLoaded"] = "上次加载:",
        ["singleCharName"]       = GetString(SI_CURRENCYLOCATION0),
    },
    ---------------------------------------------------------------------------------------------------------------------
    -- Custom languages
    ------------------------------------------------------------------------------------------------------------------------
    --Brazilian
    ["br"] = { -- by Anntauri
        ["packName"]            = "Nome do pacote:",
        ["selectPack"]          = "Selecionar",
        ["ERRORpackMissing"]    = "ADDON SELECTOR: Nome do pacote não existe.",
        ["autoReloadUIHint"]    = "Atualizar interface na seleção de pacote.",
        ["autoReloadUIHintTooltip"] = "Atualização automática: se estiver ativo, isto irá te impedir de editar e deletar pacotes. Você precisa desativar essa opção para editar e deletar pacotes!",
        ["saveButton"]          = "Salvar",
        ["savePackTitle"]        = "Substituir pacote?",
        ["savePackBody"]        = "Substituir pacote %s?",
        ["deleteButton"]        = "Deletar",
        ["deletePackTitle"]     = "Deletar: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: Você deve selecionar um pacote para deletar.",
        ["deletePackError"]     = "ADDON SELECTOR: Erro ao deletar pacote\n%s.",
        ["deletePackBody"]      = "Quer realmente deletar?\n%s",
        ["DeselectAllAddons"]   = "Desmarcar todos",
        ["SelectAllAddons"]     = "Marcar todos",
        ["SelectAllAddonsSaved"] = "Selecionar addons atuais",
        ["AddonSearch"]          = "Buscar:",
        ["selectedPackName"]     = "Selecionado (%s): ",
        ["LibDialogMissing"]     = "Está faltando \'LibDialog\'! O addon não funciona sem ela!",
        ["ReloadUI"]            = GetString(SI_ADDON_MANAGER_RELOAD) or "Atulizar interface",
        ["ShowActivePack"]      = "Mostrar pacote ativo",
        ["ShowSubMenuAtGlobalPacks"] = "Mostrar submenus nos pacotes globais",
        ["ShowSettings"]        = "Mostrar configurações de \'"..ADDON_NAME.."\' ",
        ["ShowGlobalPacks"]     = "Mostrar pacotes salvos globais",
        ["GlobalPackSettings"] = "Configuração de pacotes globais",
        ["CharacterNameSettings"] = "Configurações do nome de personagem",
        ["SaveGroupedByCharacterName"] = "Salvar pacotes pelo nome de personagem",
        ["ShowGroupedByCharacterName"] = "Mostrar pacotes pelo nome de personagem",
        ["packCharName"]        = "Personagem do pacote",
        ["packGlobal"]          = "Global",
        ["searchExcludeFilename"] = "Ignorar nome de arquivo",
        ["searchSaveHistory"] = "Salvar histórico de busca",
        ["searchClearHistory"] = "Limpar histórico",
        ["LastPackLoaded"] = "Último carregamento:",
    },
---------------------------------------------------------------------------------------------------------------------
    --Portuguese
    ["pt"] = {
        ["packName"] = "Nome do Pacote:",
        ["selectPack"] = "Escolha",
        ["ERRORpackMissing"] = "ADDON SELECTOR: Faltando Nome do Pacote.",
        ["autoReloadUIHint"]	= "Auto-Relê UI na seleção do pacote.",
        ["autoReloadUIHintTooltip"] = "Auto-Relê UI: Quando ativada, você também pode evitar a edição ou exclusão de pacotes complementares.",
        ["saveButton"] = "Salva",
        ["savePackTitle"]        = "Substituir pacote?",
        ["savePackBody"]        = "Substituir pacote existente %s?",
        ["deleteButton"] = "Apaga",
        ["deletePackAlert"]     = "ADDON SELECTOR: Você deve selecionar um pacote para deletar.",
        ["deletePackError"]     = "ADDON SELECTOR: Pack delete error\n%s.",
        ["deletePackTitle"] = "Apaga: ",
        ["deletePackBody"] = "Apaga de Verdade?\n%s",
        ["DeselectAllAddons"] = "Desmarca tudo",
        ["SelectAllAddons"] = "Marca tudo",
        ["SelectAllAddonsSaved"] = "Re-escolhe salvo",
        ["AddonSearch"] = "Procura:",
        ["selectedPackName"]     = "Selecionada (%s):",
        ["LibDialogMissing"]     = "Biblioteca \'LibDialog \' está faltando! Este addon não funcionará sem ele!",
        ["ReloadUI"]        = GetString(SI_ADDON_MANAGER_RELOAD) or "Recarregar IU",
        ["ShowActivePack"]      = "Mostrar pacote ativo",
        ["ShowSubMenuAtGlobalPacks"]            = "Show submenu at global packs",
        ["ShowSettings"]        = "Show \'"..ADDON_NAME.."\' settings",
        ["ShowGlobalPacks"]     = "Show global saved packs",
        ["GlobalPackSettings"] = "Global pack settings",
        ["CharacterNameSettings"] = "Character name settings",
        ["SaveGroupedByCharacterName"] = "Save packs by character name",
        ["ShowGroupedByCharacterName"] = "Show packs of character names",
        ["packCharName"]        = "Character of pack",
        ["packGlobal"]          = "Global",
        ["searchExcludeFilename"] = "Exclude filename",
        ["searchSaveHistory"] = "Save history of search terms",
        ["searchClearHistory"] = "Clear history",
        ["LastPackLoaded"] = "Último carregamento:",
    },
    ---------------------------------------------------------------------------------------------------------------------
    --Polish
    ["pl"] = { -- by generaluploads
        ["packName"]            = "Nazwa paczki:",
        ["selectPack"]          = "Wybierz",
        ["selectPackForAllChars"] = "Wybierz dla wszystkich postaci",
        ["ERRORpackMissing"]    = "ADDON SELECTOR: Brak nazwy paczki",
        ["autoReloadUIHint"]    = "Automatycznie przeładuj interfejs przy wyborze paczki",
        ["autoReloadUIHintTooltip"] = "Automatycznie przeładuj interfejs: Kiedy jest WłĄCZONA, uniemożliwi to edycję i usuwanie pakietów addonów. Będziesz musiał/a to wyłączyć, aby edytować lub usuwać paczki addonów!",
        ["saveButton"]          = "Zapisz",
        ["savePackTitle"]        = "Nadpisać paczkę?",
        ["savePackBody"]        = "Nadpisać istniejącą paczkę %s?",
        ["deleteButton"]        = "Usuń",
        ["deletePackTitle"]     = "Usuń: ",
        ["deletePackAlert"]     = "ADDON SELECTOR: Musisz wybrać paczkę, którą chcesz usunąć.",
        ["deletePackError"]     = "ADDON SELECTOR: Błąd usuwania paczki\n%s.",
        ["deletePackBody"]      = "Naprawdę usunąć?\n%s",
        ["DeselectAllAddons"]   = "Odznacz wszystkie",
        ["SelectAllAddons"]     = "Zaznacz wszystkie",
        ["DeselectAllLibraries"]= "Odznacz wszystkie biblioteki",
        ["SelectAllLibraries"]  = "Zaznacz wszystkie biblioteki",
        ["ScrollToAddons"]       = "^ AddOny/Dodatki    ^",
        ["ScrollToLibraries"]    = "v Biblioteki v",
        ["SelectAllAddonsSaved"] = "Zapisano ponowny wybór",
        ["AddonSearch"]          = "Szukaj:",
        ["selectedPackName"]     = "Wybrano (%s): ",
        ["LibDialogMissing"]     = "Brakuje biblioteki \'LibDialog\'! Ten addon nie będzie działał bez niego!",
        ["ReloadUI"]            = GetString(SI_ADDON_MANAGER_RELOAD) or "Przeładuj interfejs",
        ["ShowActivePack"]      = "Pokaż aktywną paczkę",
        ["ShowSubMenuAtGlobalPacks"] = "Pokaż podmenu przy paczkach ogólnych",
        ["ShowSettings"]        = "Pokaż ustawienia \'"..ADDON_NAME.."\'",
        ["ShowGlobalPacks"]     = "Pokaż ogólne zapisane paczki",
        ["GlobalPackSettings"] = "Ogólne ustawienia paczek",
        ["CharacterNameSettings"] = "Ustawienia nazw postaci",
        ["SaveGroupedByCharacterName"] = "Zapisz paczki addonów według nazwy postaci",
        ["ShowGroupedByCharacterName"] = "Pokaż paczki addonów według nazw postaci",
        ["packCharName"]        = "Paczka postaci",
        ["packGlobal"]          = "Ogólny",
        ["searchExcludeFilename"] = "Wyklucz nazwę pliku",
        ["searchSaveHistory"] = "Zapisz historię wyszukiwanych haseł",
        ["searchClearHistory"] = "Wyczyść historię",
        ["UndoLastMassMarking"] = "< Cofnij ostatnie zaznaczenia",
        ["ClearLastMassMarking"] = "Wyczyść zaznaczenie kopii zapasowej",
        ["LastPackLoaded"] = "Ostatnio załadowany:",
        ["addonCategories"] = "Kategorie wtyczki",
        ["noCategory"]      = "-Brak kategorii-",
        ["ToggleAddonState"] = "Dodatek: WŁ/WYŁ",
        ["searchInstructions"] = "Kursor znajduje się w polu wyszukiwania. Wprowadź szukany tekst i naciśnij przycisk ENTER, aby przejść do następnego znalezionego dodatku. Naciśnij przycisk ESCAPE, aby opuścić pole wyszukiwania.",
        ["foundSearch"]         = "[Znaleziono]",
        ["foundSearchLast"]     = "[znaleziono ostatni wpis]",
        ["searchedForStr"]      = "["..GetString(SI_SCREEN_NARRATION_EDIT_BOX_SEARCH_NAME).."]",
        ["currentText"]         = "Obecny: ",
        ["enableText"]          = "Włącz",
        ["disableText"]         = "Wyłącz",
        ["enDisableCurrentStateTemplate"] = "%s wszystkie dodatki. Aktualny stan   -   %s",
        ["stateText"]           = "Stan",
        ["newStateText"]        = "Nowy stan",
        ["libraryText"]         = "Biblioteki",
        ["openDropdownStr"]     = "Kliknij, aby otworzyć listę rozwijaną",
        ["openedStr"]           = "Otwarte",
        ["closedStr"]           = "Zamkniete",
        ["chosenStr"]           = "Wybrane",
        ["addPackTooltip"]      = "Dodanie podpowiedzi do paczki w polu rozwijanym",
        ["accountWide"]         = "Dodatki dla całego konta",
        ["accountWides"]         = "Dodatki dla całego konta",
        ["characterWide"]       = "Dodatki dla poszczególnych postaci",
        ["characterWides"]      = "Dodatki dla poszczególnych postaci",
        ["settingPattern"]       = "[Ustawienie] %s",
        ["searchHistoryPattern"] = "[Historia wyszukiwania] %s",
        ["submenu"]              = "Podmenu",
        ["entryMouseEnter"]      = "Wpis pod myszą",
        ["entrySelected"]        = "Wpis został wybrany",
        ["entries"]              = "wpisy",
        ["checkBox"]             = "Pole wyboru",
        ["enabledAddonsInPack"]  = "Włączone dodatki w paczce",
        ["showPacksAddonList"]   = "Pokaż podmenu listy dodatków z paczki",
    },
---------------------------------------------------------------------------------------------------------------------
    --Italian
    ["it"] = { --by horizonxael
        ["packName"] = "Nome del profilo :",
        ["selectPack"] = "Seleziona",
        ["ERRORpackMissing"] = "ADDON SELECTOR : Nessun nome profilo",
        ["autoReloadUIHint"] = "Ricaricare l'interfaccia dopo aver selezionato un profilo.",
        ["autoReloadUIHintTooltip"] = "Ricaricamento automatico: selezionato, vieta la modifica o l'eliminazione dei profili. Deve essere deselezionato per modificare o eliminare un profilo",
        ["saveButton"] = "Registra",
        ["savePackTitle"] = "¿Sostituire il profilo?",
        ["savePackBody"] = "Sostituisci il profilo esistente %s?",
        ["deleteButton"] = "Cancella",
        ["deletePackTitle"] = "Cancellare: ",
        ["deletePackAlert"] = "ADDON SELECTOR: Devi selezionare un profilo da eliminare.",
        ["deletePackError"] = "ADDON SELECTOR: Errore di eliminazione del profilo\n%s.",
        ["deletePackBody"] = "Vuoi davvero eliminare questo profilo?\n%s",
        ["DeselectAllAddons"] = "Deseleziona tutto",
        ["SelectAllAddons"] = "Seleziona tutto",
        ["DeselectAllLibraries"]= "Deseleziona tutte le librerie",
        ["SelectAllLibraries"] = "Seleziona tutte le librerie",
        ["ScrollToAddons"] = "^ Componenti Aggiuntivi ^",
        ["ScrollToLibraries"] = "v Librerie v",
        ["SelectAllAddonsSaved"] = "Seleziona Salvato",
        ["AddonSearch"] = "Ricercare:",
        ["selectedPackName"] = "Selezionato (%s): ",
        ["LibDialogMissing"] = "Libreria \'LibDialog\' mancante! Il componente aggiuntivo non può funzionare senza di essa!",
        ["ReloadUI"] = GetString(SI_ADDON_MANAGER_RELOAD) or "Ricarica interfaccia",
        ["ShowActivePack"] = "Mostra profilo attivo",
        ["ShowSubMenuAtGlobalPacks"] = "Mostra i sottomenu del gruppo di profili",
        ["ShowSettings"] = "Mostra configurazione di \'"..ADDON_NAME.."\' ",
        ["ShowGlobalPacks"] = "Mostra i gruppi di profili salvati",
        ["GlobalPackSettings"] = "Configurazione del gruppo di profili",
        ["CharacterNameSettings"] = "Impostazione del nome del personaggio",
        ["SaveGroupedByCharacterName"] = "Salva i gruppi in base al nome del personaggio",
        ["ShowGroupedByCharacterName"] = "Mostra i gruppi in base al nome del personaggio",
        ["packCharName"] = "Profilo del personaggio",
        ["packGlobal"] = "Profilo globale",
        ["searchExcludeFilename"] = "Escludi nome file",
        ["searchSaveHistory"] = "Salva la cronologia delle ricerche",
        ["searchClearHistory"] = "Cancellare la cronologia",
        ["UndoLastMassMarking"] = "< Annulla le ultime marcature",
        ["ClearLastMassMarking"] = "Cancella il backup della marcatura",
        ["LastPackLoaded"] = "Ultimo caricato:",
    },

    ---------------------------------------------------------------------------------------------------------------------
    ["tr"] = { -- Turkish
        ["packName"] = "Paket adı:",
        ["selectPack"] = "Seç",
        ["ERRORpackMissing"] = "EKLENTİ SEÇİCİ: Paket adı eksik.",
        ["autoReloadUIHint"] = "Paket seçiminde kullanıcı arayüzünü otomatik olarak yeniden yükle.",
        ["autoReloadUIHintTooltip"] = "Otomatik Yeniden Yükleme Kullanıcı Arayüzü: AÇIK olduğunda bu, eklenti paketlerinin düzenlenmesini ve silinmesini engelleyecektir. Paketleri düzenlemek veya silmek için onu kapatmanız gerekecektir!",
        ["saveButton"] = "Kaydet",
        ["savePackTitle"] = "Paketin üzerine yazılsın mı?",
        ["savePackBody"] = "Mevcut %s paketinin üzerine yazılsın mı?",
        ["deleteButton"] = "Sil",
        ["deletePackTitle"] = "Sil: ",
        ["deletePackAlert"] = "EKLENTİ SEÇİCİ: Silinecek paketi seçmelisiniz.",
        ["deletePackError"] = "EKLENTİ SEÇİCİ: Paket silme hatası\n%s.",
        ["deletePackBody"] = "Gerçekten silinsin mi?\n%s",
        ["DeselectAllAddons"] = "Tümünün seçimini kaldır",
        ["SelectAllAddons"] = "Tümünü seç",
        ["DeselectAllLibraries"]= "Tüm kütüphanelerin seçimini kaldır",
        ["SelectAllLibraries"] = "Tüm kütüphaneleri seç",
        ["ScrollToAddons"] = "^ Eklentiler ^",
        ["ScrollToLibraries"] = "v Kitaplıklar v",
        ["SelectAllAddonsSaved"] = "Kaydedilenleri seç",
        ["AddonSearch"] = "Arama:",
        ["selectedPackName"] = "Seçili (%s): ",
        ["LibDialogMissing"] = "\'LibDialog\' kitaplığı eksik! Bu eklenti onsuz çalışmaz!",
        ["ReloadUI"] = GetString(SI_ADDON_MANAGER_RELOAD) or "Kullanıcı arayüzünü yeniden yükle",
        ["ShowActivePack"] = "Aktif paketi göster",
        ["ShowSubMenuAtGlobalPacks"] = "Genel paketlerde alt menüyü göster",
        ["ShowSettings"] = "\'"..ADDON_NAME.."\' ayarlarını göster",
        ["ShowGlobalPacks"] = "Genel kayıtlı paketleri göster",
        ["GlobalPackSettings"] = "Genel paket ayarları",
        ["CharacterNameSettings"] = "Karakter adı ayarları",
        ["SaveGroupedByCharacterName"] = "Paketleri karakter adına göre kaydet",
        ["ShowGroupedByCharacterName"] = "Karakter adı paketlerini göster",
        ["packCharName"] = "Paketin karakteri",
        ["packGlobal"] = "Genel",
        ["searchExcludeFilename"] = "Dosya adını hariç tut",
        ["searchSaveHistory"] = "Arama terimlerinin geçmişini kaydet",
        ["searchClearHistory"] = "Geçmişi temizle",
        ["UndoLastMassMarking"] = "< Son işaretlemeleri geri al",
        ["ClearLastMassMarking"] = "İşaretleme yedeklemesini temizle",
        ["LastPackLoaded"] = "Son yüklenen:",
        ["addonCategories"] = "Eklenti kategorileri",
        ["noCategory"] = "-Kategori yok-",
        ["ToggleAddonState"] = "AddOn: Açık/Kapalı",
        ["searchInstructions"] = "İmleç arama kutusundadır. Yeni arama başlatmak için yazın, bulunan sonraki eklentiye geçmek için dönüş tuşuna basın. Arama kutusundan tekrar çıkmak için ESCAPE tuşuna basın.",
        ["foundSearch"] = "[Bulundu]",
        ["foundSearchLast"] = "[Son girdi bulundu]",
        ["searchedForStr"] = "["..GetString(SI_SCREEN_NARRATION_EDIT_BOX_SEARCH_NAME).."]",
        ["currentText"] = "Geçerli: ",
        ["enableText"] = "Etkinleştir",
        ["disableText"] = "Devre Dışı Bırak",
        ["enDisableCurrentStateTemplate"] = "%s tüm eklentiler. Mevcut durum - %s",
        ["stateText"] = "Durum",
        ["newStateText"] = "Yeni durum",
        ["libraryText"] = "Kütüphane",
        ["openDropdownStr"] = "Açılır kutuyu açmak için tıklayın",
        ["openedStr"] = "Açıldı",
        ["closedStr"] = "Kapalı",
        ["chosenStr"] = "Seçili",
        ["addPackTooltip"] = "Açılır listeye paketlemek için ipucu ekleyinX",
        ["accountWide"] = "Hesap genelinde eklenti paketi",
        ["accountWides"] = "Hesap çapında eklenti paketleri",
        ["characterWide"] = "Karakterlere özel eklenti paketleri",
        ["characterWides"] = "Karaktere özel eklenti paketi",
        ["settingPattern"] = "[Ayar] %s",
        ["searchHistoryPattern"] = "[Arama geçmişi] %s",
        ["submenu"] = "Alt menü",
        ["entryMouseEnter"] = "Farenin altındaki giriş",
        ["entrySelected"] = "Giriş seçildi",
        ["entries"] = "girişler",
        ["checkBox"] = "Onay kutusu",
    },
}
local langArray = AddonSelectorGlobal.langArray
langArray["fx"] = langArray["pl"] --inofficial pl "debug language" by generaluploads
langArray["kr"] = langArray["en"] --official kr untranslated language -> fallback to english to prevent errors
langArray["kb"] = langArray["en"] --unofficial kr "debug language" -> fallback to english to prevent errors
langArray["tb"] = langArray["tr"] --unofficial tr "debug language" -> fallback to english to prevent errors


--The language strings in client language and fallback language
local langArrayInClientLang = langArray[lang]
local clientLangFound = (langArrayInClientLang ~= nil and true) or false
local langArrayInFallbackLang = langArray[fallbackLang]



-- API function for XML and lua --

--Get localized texts
function AddonSelector_GetLocalizedText(textToFind)
    return (clientLangFound and langArrayInClientLang[textToFind]) or langArrayInFallbackLang[textToFind] or "N/A"
end
